Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 750344 (CVE-2020-24265, CVE-2020-24266) - <net-analyzer/tcpreplay-4.3.4: Multiple vulnerabilities (CVE-2020-24265, CVE-2020-24266)
Summary: <net-analyzer/tcpreplay-4.3.4: Multiple vulnerabilities (CVE-2020-24265, CVE-...
Status: RESOLVED FIXED
Alias: CVE-2020-24265, CVE-2020-24266
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://github.com/appneta/tcpreplay/...
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-20 07:18 UTC by filip ambroz
Modified: 2021-05-26 09:45 UTC (History)
1 user (show)

See Also:
Package list:
net-analyzer/tcpreplay-4.3.4
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description filip ambroz 2020-10-20 07:18:25 UTC
CVE-2020-24265
--------------
An issue was discovered in tcpreplay tcpprep v4.3.3. There is a heap buffer overflow vulnerability in MemcmpInterceptorCommon() that can make tcpprep crash and cause a denial of service.

Links:
https://nvd.nist.gov/vuln/detail/CVE-2020-24265
https://github.com/appneta/tcpreplay/issues/616


CVE-2020-24266
--------------
An issue was discovered in tcpreplay tcpprep v4.3.3. There is a heap buffer overflow vulnerability in get_l2len() that can make tcpprep crash and cause a denial of service.

Links:
https://nvd.nist.gov/vuln/detail/CVE-2020-24266
https://github.com/appneta/tcpreplay/issues/617
Comment 1 Sam James archtester gentoo-dev Security 2020-10-20 07:23:47 UTC
All versions are likely affected, CVE text is just vague sometimes. There's patches available in PR(s) but not merged.
Comment 2 Larry the Git Cow gentoo-dev 2021-05-04 21:25:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57e374eeca287bc0071422169c85a252d44c5229

commit 57e374eeca287bc0071422169c85a252d44c5229
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-05-04 21:22:36 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-04 21:25:25 +0000

    net-analyzer/tcpreplay: add 4.3.4
    
    Bug: https://bugs.gentoo.org/750344
    Signed-off-by: Sam James <sam@gentoo.org>

 net-analyzer/tcpreplay/Manifest               |  1 +
 net-analyzer/tcpreplay/tcpreplay-4.3.4.ebuild | 77 +++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)
Comment 3 Sam James archtester gentoo-dev Security 2021-05-09 06:00:10 UTC
amd64 done
Comment 4 Sam James archtester gentoo-dev Security 2021-05-09 06:00:58 UTC
x86 done

all arches done
Comment 5 Larry the Git Cow gentoo-dev 2021-05-25 13:59:38 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=840391c3fc715e59f7d5ff2c531b6351273d5fa1

commit 840391c3fc715e59f7d5ff2c531b6351273d5fa1
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-05-25 13:59:19 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-05-25 13:59:28 +0000

    net-analyzer/tcpreplay: security cleanup
    
    Bug: https://bugs.gentoo.org/750344
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 net-analyzer/tcpreplay/Manifest               |  1 -
 net-analyzer/tcpreplay/tcpreplay-4.3.3.ebuild | 77 ---------------------------
 2 files changed, 78 deletions(-)
Comment 6 Thomas Deutschmann gentoo-dev Security 2021-05-25 14:00:05 UTC
New GLSA request filed.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2021-05-26 09:45:32 UTC
This issue was resolved and addressed in
 GLSA 202105-21 at https://security.gentoo.org/glsa/202105-21
by GLSA coordinator Thomas Deutschmann (whissi).